Rename a property list and/or replace its identifiers (include lists cascade to live buys)
curl --request PUT \
--url https://api.semicola.com/api/v2/buyer/advertisers/{id}/property-lists/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domains": [
"<string>"
],
"identifiers": [
{
"value": "<string>"
}
]
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/advertisers/{id}/property-lists/{listId}"
payload = {
"name": "<string>",
"domains": ["<string>"],
"identifiers": [{ "value": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', domains: ['<string>'], identifiers: [{value: '<string>'}]})
};
fetch('https://api.semicola.com/api/v2/buyer/advertisers/{id}/property-lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"propertyList": {
"listId": "<string>",
"name": "<string>",
"purpose": "include",
"propertyCount": 0,
"createdAt": "<string>",
"updatedAt": "<string>",
"identifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"unresolvedIdentifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"registeredIdentifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"domains": [
"<string>"
],
"unresolvedDomains": [
"<string>"
],
"registeredDomains": [
"<string>"
],
"filters": {
"channels_any": [
"<string>"
]
},
"resolutionSummary": {
"totalRequested": 0,
"resolvedCount": 0,
"registeredCount": 0,
"unresolvedCount": 0,
"resolutionRate": 123
},
"cascadeSummary": {
"totalMediaBuys": 0,
"updatedCount": 0,
"failedCount": 0,
"skippedCount": 0
},
"status": "processing"
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Property Lists
Rename a property list and/or replace its identifiers (include lists cascade to live buys)
PUT
/
api
/
v2
/
buyer
/
advertisers
/
{id}
/
property-lists
/
{listId}
Rename a property list and/or replace its identifiers (include lists cascade to live buys)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Required range:
x <= 9007199254740991Minimum string length:
1Body
application/json